Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.eventusermodel
Class EventWorkbookBuilder

    java.lang.Object
      org.apache.poi.hssf.eventusermodel.EventWorkbookBuilder

    public class EventWorkbookBuilder

extends java.lang.Object

When working with the EventUserModel, if you want to process formulas, you need an instance of `InternalWorkbook` to pass to a `HSSFWorkbook`, to finally give to `HSSFFormulaParser`, and this will build you stub ones. Since you're working with the EventUserModel, you wouldn't want to get a full `InternalWorkbook` and `HSSFWorkbook`, as they would eat too much memory. Instead, you should collect a few key records as they go past, then call this once you have them to build a stub `InternalWorkbook`, and from that a stub `HSSFWorkbook`, to use with the `HSSFFormulaParser`. The records you should collect are: * `ExternSheetRecord` * `BoundSheetRecord` You should probably also collect `SSTRecord`, but it's not required to pass this in. To help, this class includes a HSSFListener wrapper that will do the collecting for you.

Nested Class Summary
`static class` | `EventWorkbookBuilder.SheetRecordCollectingListener` A wrapping HSSFListener which will collect `BoundSheetRecord`s and `ExternSheetRecord`s as they go past, so you can create a Stub `InternalWorkbook` from them once required.

Constructor Summary
`EventWorkbookBuilder()`

Method Summary
`static InternalWorkbook` | `createStubWorkbook(ExternSheetRecord[] externs, BoundSheetRecord[] bounds)` Creates a stub workbook from the supplied records, suitable for use with the `HSSFFormulaParser`
`static InternalWorkbook` | `createStubWorkbook(ExternSheetRecord[] externs, BoundSheetRecord[] bounds, SSTRecord sst)` Creates a stub Workbook from the supplied records, suitable for use with the `HSSFFormulaParser`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventWorkbookBuilder

    public EventWorkbookBuilder()

Method Detail

### createStubWorkbook

    public static InternalWorkbook createStubWorkbook(ExternSheetRecord[] externs,
                                                      BoundSheetRecord[] bounds,
                                                      SSTRecord sst)

  Creates a stub Workbook from the supplied records, suitable for use with the `HSSFFormulaParser`

  Parameters:
    `externs` - The ExternSheetRecords in your file
    `bounds` - The BoundSheetRecords in your file
    `sst` - The SSTRecord in your file.
  Returns:
    A stub Workbook suitable for use with `HSSFFormulaParser`

### createStubWorkbook

    public static InternalWorkbook createStubWorkbook(ExternSheetRecord[] externs,
                                                      BoundSheetRecord[] bounds)

  Creates a stub workbook from the supplied records, suitable for use with the `HSSFFormulaParser`

  Parameters:
    `externs` - The ExternSheetRecords in your file
    `bounds` - The BoundSheetRecords in your file
  Returns:
    A stub Workbook suitable for use with `HSSFFormulaParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD